=== debian/changelog ===
fcitx5-gtk (5.0.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override. (Closes: #1001867)
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/patches: Backport upstream commits to fix FTBFS.
  * debian/libfcitx5gclient2.symbols: Update symbols to hide
    private symbols accordingly.

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Aug 2022 17:10:57 -0400

fcitx5-gtk (5.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jul 2022 21:55:47 -0400

fcitx5-gtk (5.0.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/libfcitx5gclient2.symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jun 2022 16:38:06 -0400

fcitx5-gtk (5.0.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop cherry-picked patch.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 22:27:04 -0400

fcitx5-gtk (5.0.13-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Cherry-pick compatibility patch with older glib.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 09:17:40 -0400
