## fcitx5-gtk 5.0.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6)
-project(fcitx5-gtk VERSION 5.0.17)
+project(fcitx5-gtk VERSION 5.0.19)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -31,7 +31,6 @@
 pkg_check_modules(Gio2 REQUIRED IMPORTED_TARGET "gio-2.0")
 pkg_check_modules(GioUnix2 REQUIRED IMPORTED_TARGET "gio-unix-2.0")
 pkg_check_modules(GObject2 REQUIRED IMPORTED_TARGET "gobject-2.0")
-add_subdirectory(fcitx-gclient)
 
 set(CMAKE_C_VISIBILITY_PRESET default)
 
@@ -42,6 +41,8 @@
 else()
     set(GCLIENT_LIBRARY_TYPE SHARED)
 endif()
+
+add_subdirectory(fcitx-gclient)
 
 set(NEED_X11 FALSE)
 if (ENABLE_GTK2_IM_MODULE)
