=== debian/changelog ===
fcitx5-gtk (5.0.21-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Nov 2022 15:41:10 -0500

fcitx5-gtk (5.0.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 12:30:37 -0500

fcitx5-gtk (5.0.19-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Sep 2022 16:20:48 -0400

fcitx5-gtk (5.0.18-1) unstable; urgency=medium

  * New upstream release.
  * Switch to upstream tarball as upstream.
  * debian/patches: Drop old patches, not needed.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Sep 2022 13:22:45 -0400
