=== debian/control ===
Source: fcitx5-gtk
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.6.0),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gobject-introspection,
 libbrotli-dev,
 libfmt-dev,
 libgirepository1.0-dev,
 libgtk-3-dev,
 libgtk-4-dev,
 libgtk2.0-dev,
 libx11-dev,
 libxkbcommon-dev,
 libxkbcommon-x11-dev,
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/fcitx/fcitx5-gtk
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk

Package: fcitx5-frontend-gtk2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GTK2 IM Module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the im module of fcitx5. Users of GTK2-based
 applications are highly recommended to have this package installed
 for better input method support.

Package: fcitx5-frontend-gtk3
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GTK3 IM Module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the im module of fcitx5. Users of GTK3-based
 applications are highly recommended to have this package installed
 for better input method support.

Package: fcitx5-frontend-gtk4
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GTK4 IM Module for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the im module of fcitx5. Users of GTK4-based
 applications are highly recommended to have this package installed
 for better input method support.

Package: gir1.2-fcitxg-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: GObject introspection data for fcitx5
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package contains introspection data for Fcitx5.
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libfcitx5gclient-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-fcitxg-1.0 (= ${binary:Version}),
 ${misc:Depends},
Description: GLib-based D-Bus client library for fcitx5 (development files)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the development files for GLib-based D-Bus client
 library of fcitx5.

Package: libfcitx5gclient2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GLib-based D-Bus client library for fcitx5 (library)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides pleasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the GLib-based D-Bus client library of fcitx5.
