## fcitx5-gtk 5.0.23

=== debian/changelog ===
fcitx5-gtk (5.0.23-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Apr 2023 10:07:50 -0400
