=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libxkbcommon-x11-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-gtk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk
