=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.6.0),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gobject-introspection,
@@ -27,7 +27,6 @@
 
 Package: fcitx5-frontend-gtk2
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -49,7 +48,6 @@
 
 Package: fcitx5-frontend-gtk3
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -71,7 +69,6 @@
 
 Package: fcitx5-frontend-gtk4
 Architecture: any
-Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
