=== debian/changelog ===
fcitx5-gtk (5.1.3-3) unstable; urgency=medium

  * Manually trigger rebuild for Debian 13 release again.
    Hopefully this could solve the incompatibility issue with GLib version.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Apr 2025 10:35:44 -0400

fcitx5-gtk (5.1.3-2) unstable; urgency=medium

  * Manually trigger rebuild for Debian 13 release.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/control: Use pkgconf instead of pkg-config.
  * debian/control:
    + Add missing build-dep gir1.2-gio-2.0-dev, gir1.2-gobject-2.0-dev.
    + Mark these build-deps as <!nogir>.
    + Add missing substvar gir:Provides, gir:Depends to binary packages.

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Mar 2025 15:34:58 -0400

fcitx5-gtk (5.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Use build-dependency dh-sequence-gir.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 May 2024 19:58:09 -0400

fcitx5-gtk (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 23:02:58 -0400
