=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fcitx5-gtk
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-gir,
  cmake,
- debhelper-compat (= 13),
  extra-cmake-modules,
- gobject-introspection,
+ gir1.2-gio-2.0-dev <!nogir>,
+ gir1.2-gobject-2.0-dev <!nogir>,
  libbrotli-dev,
  libfmt-dev,
  libgirepository1.0-dev,
@@ -19,9 +20,9 @@
  libx11-dev,
  libxkbcommon-dev,
  libxkbcommon-x11-dev,
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-gtk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk
@@ -96,7 +97,6 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
- ${shlibs:Depends},
 Description: GObject introspection data for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
@@ -119,7 +119,10 @@
 Multi-Arch: same
 Depends:
  gir1.2-fcitxg-1.0 (= ${binary:Version}),
+ ${gir:Depends},
  ${misc:Depends},
+Provides:
+ ${gir:Provides},
 Description: GLib-based D-Bus client library for fcitx5 (development files)
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
