=== gtk3/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,10 @@
 endif()
 
 install(TARGETS im-fcitx5-gtk3 DESTINATION "${GTK3_IM_MODULEDIR}")
+
+
+if (NOT BUILD_ONLY_PLUGIN)
+    add_executable(fcitx5-gtk3-immodule-probing immodule-probing.cpp)
+    target_link_libraries(fcitx5-gtk3-immodule-probing PkgConfig::Gtk3)
+    install(TARGETS fcitx5-gtk3-immodule-probing DESTINATION "${CMAKE_INSTALL_BINDIR}")
+endif()
