=== debian/changelog ===
fcitx5-gtk (5.1.4-3) unstable; urgency=medium

  * debian/copyright: Refresh copyright information.
  * Rebuild package against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 09:16:16 -0400

fcitx5-gtk (5.1.4-2) unstable; urgency=medium

  * debian/control: Migrate away from libgirepository1.0-dev usage.
  * debian/control: Use Provides: ${gir:Provides}.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Aug 2025 17:26:24 -0400

fcitx5-gtk (5.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 16:59:51 -0400
