=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
  cmake,
  extra-cmake-modules,
  gir1.2-gio-2.0-dev <!nogir>,
+ gir1.2-glib-2.0-dev <!nogir>,
  gir1.2-gobject-2.0-dev <!nogir>,
+ gobject-introspection (>= 1.80) <!nogir>,
  libbrotli-dev,
  libfmt-dev,
- libgirepository1.0-dev,
+ libglib2.0-dev,
  libgtk-3-dev,
  libgtk-4-dev,
  libgtk2.0-dev,
@@ -97,6 +99,8 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
+Provides:
+ ${gir:Provides},
 Description: GObject introspection data for fcitx5
  Fcitx5 is the next generation of fcitx input method framework. It
  provides pleasant and modern input experience with intuitive graphical
