=== debian/changelog ===
fcitx5-gtk (5.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Dec 2025 11:31:58 -0500
