=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fcitx5-gtk
 Section: utils
-Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
@@ -23,8 +22,7 @@
  libxkbcommon-dev,
  libxkbcommon-x11-dev,
  pkgconf,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-gtk
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-gtk.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-gtk
